<!doctype html>
<html lang="en">
<head>
  <!-- Google tag (gtag.js) -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-3SVS4XQ47V"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
  
    gtag('config', 'G-3SVS4XQ47V');
  </script>
  <meta charset="utf-8">
  <meta name="author" content="Jim Hefferon" />
  <meta name="copyright" content="Contents of this HTML page and its CSS is CCSA 4.0." />
  <link rel="canonical" href="https://hefferon.net/linearalgebra/teaching.html" />
  <meta property="og:locale" content="en_US" />
  <meta property="og:type" content="website" />
  <meta property="og:title" content="Free Texts and more, from Jim Hefferon" />
  <meta property="og:description" content="Free Linear Algebra text, from Jim Hefferon" />
  <meta property="og:url" content="https://hefferon.net/linearalgebra/teaching.html" />
  <meta property="og:site_name" content="Free math texts" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Literata">
  <link rel="stylesheet" href="../hefferon.css">
  <title>Free Linear Algebra textbook: teaching</title>
</head>

<body>
  <div id="container">
    <div id="header">
      <p>
	<i>Linear Algebra:</i> teaching
      </p>
    </div>
    <div id="content">
      <div id="innercontent">
	<p>
	  <a href="/linearalgebra/"><i>Linear Algebra</i></a>
	  is a text for a first undergraduate course.
	  It is Free.
	  Use it as a main text, as a supplement, or for independent study.
	</p>
	<h3>
	  Are you teaching with this text?
	</h3>
        <p>Note that you can
	  <a href="https://www.openintro.org/go?id=register&referrer=hefferon.net/linearalgebra">register at OpenIntro.org</a>
	  for a free paper desk copy.
	  These folks are working to make Open texts more adoptable, so
	  while you are there, check out the other offerings also.
	</p>
	
	<p>
	  You may find these materials useful.
	</p>
	<ul class="nobullet">
	  <li><span class="listitem">Beamer slides</span>
	    I use these for
	    <a href="https://jheffero.w3.uvm.edu/linearalgebra/slides.zip">classroom presentation</a>,
	    as a memory prompt and a reference.
	    They are compiled from the text source
	    so that the wording of theorems and definitions is sure to agree.
	    But they give different examples so that
	    students see twice as many. 
	    Included is a version of each slide without pauses,
	    for printing or posting in your learning management system,
	    and a version with all proofs.
          </li>
	  <li><span class="listitem">Lab manual</span>
	    There is a supplemental
	    <a href="https://jheffero.w3.uvm.edu/linearalgebra/lab.pdf">lab manual</a> 
	    using <a href="https://www.sagemath.org"><i>Sage</i></a>.
	    This is the second lab edition, using Python&nbsp;3.
	  </li>
          </li>
	  <li><span class="listitem">Videos</span>
	    I've made a sequence of
	    <a href="https://www.youtube.com/playlist?list=PLwF3A0R8OzMoMlE1-SaEh8h9VqUlO-r52">video</a> lectures.
	    Like the text, they emphasize motivation and examples. 
	    Usually a video's first half 
	    works through a problem, 
	    while the second half does new material using the beamer slides.
	    They average 20&ndash;25 minutes;
	    longer topics are split in two.
	  </li>
	  <li><span class="listitem"><i>Matrix Arithmetic</i></span>
	    from Prof&nbsp;Harold W.&nbsp;Ellingsen of SUNY&nbsp;Potsdam
	    is for teachers who want to 
	    <a href='https://jheffero.w3.uvm.edu/linearalgebra/MatrixArithmetic.pdf'>cover matrix operations after the first chapter</a> 
	    (the book covers them in the third chapter
	    as part of linear maps).
	    It is under a Free license, with 
	    <a href='https://jheffero.w3.uvm.edu/linearalgebra/MatrixArithmetic.tex'>the <span class="latex">L<sup>a</sup>T<sub>e</sub>X</span> source</a>.
	  </li>
	  <li><span class="listitem">Exercises and Exams</span>
	    You can get 
	    <a href="https://jheffero.w3.uvm.edu/linearalgebra/flipped.zip">the inclass worksheets as well as exams and their solutions from the last time I taught the class</a>,     or  
	    <a href="https://jheffero.w3.uvm.edu/linearalgebra/problems2014.zip">another collection of take-home problems and their solutions, from a more traditional version of the class</a>.
	    The <span class="latex">L<sup>a</sup>T<sub>e</sub>X</span> source
	    is in my 
	    <a href='https://gitlab.com/jim.hefferon/linear-algebra'>git repository</a>
	    so you can adapt them.
	  </li>
	  </ul>
      </div>
    </div>
    <div id="navbar">
      <div id="innernavbar">
	<h3>
	  More on <i>Linear Algebra</i>
	</h3>
	<ul>
	  <li><a href="/linearalgebra">Description of the text</a>.</li>
	  <li><a href="hardcopy.html">Get paper copies</a>.</li>
	  <li><a href="https://jheffero.w3.uvm.edu/linearalgebra/slides.zip">Presentation slides</a>.</li>
	  <li><a href="https://jheffero.w3.uvm.edu/linearalgebra/lab.pdf">Lab manual</a> using <i>Sage</i>.</li>
	  <li><a href="/help.html">Help out</a>.
	    Donate or make a bug report.</li>
	</ul>
	<h3>
	  You may also like ... 
	</h3>
	<ul>
	  <li><a href="/computation/"><i>Theory of Computation</i></a>,
	      a text for the CS theory course.</li>
	  <li><a href="/proofs/"><i>Introduction to Proofs</i></a>,
	      for an Inquiry-Based course.</li>
	  <li><a href="/other/">More</a>,
	      including programs and documents.</li>
	  <li><a href="/jimhefferon.html">About me</a>.</li>
	  <li><a href="/">This site's home page</a>.</li>
	</ul>
      </div>
    </div>
    <div id="footer">
      <a id="contact" href="/jimhefferon.html">Contact me</a>
    </div>
</body>
</html>
